package _03_多维数组;

public class Test2 {
    public static void main(String[] args) {
        /**
         * 某商城每个季度的营业额如下：单位 (万元)
         * 第一季度：22,66,44
         * 第二季度：77,33,88
         * 第三季度：25,45,65
         * 第四季度：11,66,99
         *
         */
        // 1 定义一个二维数组
        int[][] arr = {
                {22,66,44},
                {77,33,88},
                {25,45,65},
                {11,66,99}
        };
        // 2 定义全年收入
        int allYearSum = 0;
        // 3 遍历
        for (int i = 0; i < arr.length; i++) {
            int seasonSum = 0;
            // 遍历季度信息
            int [] arr1 = arr[i];
            for (int j = 0; j < arr1.length; j++) {
                seasonSum += arr1[j];
            }
            System.out.println("第"+ (i+1)+"季度营业额为:" + seasonSum);
            // 加每一个季度营业额
            allYearSum += seasonSum;
        }
        System.out.println("全年营业额为:" + allYearSum);
    }
}
